Subject: Re: [OPSAWG] WG adoption of SNMP <-> SYSLOG mapping documents

From: "tom.petch" <[email-masked]>
Date: Tue, 10 Feb 2009 12:31:26 +0100

In syslog-msg-mib, is the value of an SD-PARAM stored with or without the
escaping?  syslog needs the escapes because of the syntax of the syslog message,
BER.1 does not so they could be removed.

Tom Petch

----- Original Message -----
From: "Juergen Schoenwaelder" <[email-masked]>
To: <[email-masked]>
Sent: Thursday, November 20, 2008 9:05 PM
Subject: [OPSAWG] WG adoption of SNMP <-> SYSLOG mapping documents

> Hi,
>
> the chairs of this WG need to decide whether there is support for
> adopting (a) a document defining a new SD-ID to represent SNMP
> notifications in SYSLOG [1] and (b) a document defining a MIB module
> representing SYSLOG messages [2]. For an overview, see the
> presentation slides form the Dublin meeting [3].
>
> I believe that the documents are already pretty mature and can likely
> go through the WG relatively quickly. There has been quite some
> support for this work in Dublin and Rainer Gerhards expressed his
> support on the list. I am aware that some people did contact the
> chairs directly expressing their support but it might make things
> easier to move this forward if people can actually express their
> support here.
>
> Thanks,
>
> /js
>
> [1] http://tools.ietf.org/html/draft-marinov-syslog-snmp-02
>     (15 pages)
> [2] http://tools.ietf.org/html/draft-schoenw-syslog-msg-mib-01
>     (18 pages)
> [3] http://www.ietf.org/proceedings/08jul/slides/opsawg-1.pdf
>
> --
> Juergen Schoenwaelder           Jacobs University Bremen gGmbH
> Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
> Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 10 Feb 2009 19:31:30 +0100

On Tue, Feb 10, 2009 at 12:31:26PM +0100, tom.petch wrote:

> In syslog-msg-mib, is the value of an SD-PARAM stored with or
> without the escaping?  syslog needs the escapes because of the
> syntax of the syslog message, BER.1 does not so they could be
> removed.

Yes, I consider the escaping of values an encoding issue that is not
needed in a MIB module. My proposal is to add the following sentence
to the DESCRIPTION of syslogMsgSDParamValue:

  The value is stored in the unescaped format.

And I will add an explicite reference to section 6.3.3 in the SYSLOG
specification. Does this solve this issue?

/js

---

From: "tom.petch" <[email-masked]>
Date: Wed, 11 Feb 2009 12:01:23 +0100

---- Original Message ----- 
From: "Juergen Schoenwaelder" <[email-masked]>
To: "tom.petch" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, February 10, 2009 7:31 PM
Subject: Re: [OPSAWG] WG adoption of SNMP <-> SYSLOG mapping documents

> specification. Does this solve this issue?
Yes, that fixes it

Tom Petch